FilenameWildcardFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.file.filters.FilenameWildcardFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.file.filters
Class FilenameWildcardFilter

    java.lang.Object
      org.mule.routing.filters.WildcardFilter
          org.mule.transport.file.filters.FilenameWildcardFilter

All Implemented Interfaces:
  FilenameFilter, Filter, ObjectFilter

Direct Known Subclasses:
  FilenameRegexFilter

    public class FilenameWildcardFilter

extends WildcardFilter
implements FilenameFilter

`FilenameWildcardFilter` filters incoming files from a directory, based on file patterns.

Field Summary

Fields inherited from class org.mule.routing.filters.WildcardFilter
`logger, pattern, patterns`

Constructor Summary
`FilenameWildcardFilter()`
`FilenameWildcardFilter(String pattern)`

Method Summary
`boolean` | `accept(File dir, String name)` Filter condition decider method.
`boolean` | `accept(MuleMessage message)` Check a given message against this filter.

Methods inherited from class org.mule.routing.filters.WildcardFilter
`accept, equals, getPattern, hashCode, isCaseSensitive, setCaseSensitive, setPattern`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilenameWildcardFilter

    public FilenameWildcardFilter()

### FilenameWildcardFilter

    public FilenameWildcardFilter(String pattern)

Method Detail

### accept

    public boolean accept(File dir,
                          String name)

  Filter condition decider method.

  Returns `boolean` `TRUE` if the file conforms to an acceptable pattern or `FALSE` otherwise.

  Specified by:
    `accept` in interface `FilenameFilter`
  Parameters:
    `dir` - The directory to apply the filter to.
    `name` - The name of the file to apply the filter to.
  Returns:
    indication of acceptance as boolean.

### accept

    public boolean accept(MuleMessage message)

  Description copied from interface: `Filter`
  Check a given message against this filter.

  Specified by:
    `accept` in interface `Filter`
  Overrides:
    `accept` in class `WildcardFilter`
  Parameters:
    `message` - a non null message to filter.
  Returns:
    `true` if the message matches the filter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.